HUGO-BUILD(1)

NAME

hugo-build - Build your site

SYNOPSIS

hugo build [flags]

DESCRIPTION

build is the main command, used to build your Hugo site.

Hugo is a Fast and Flexible Static Site Generator built with love by spf13 and friends in Go.

Complete documentation is available at https://gohugo.io/.

OPTIONS

-b, --baseURL=""
    hostname (and path) to the root, e.g. https://spf13.com/

-D, --buildDrafts[=false]
    include content marked as draft

-E, --buildExpired[=false]
    include expired content

-F, --buildFuture[=false]
    include content with publishdate in the future

--cacheDir=""
    filesystem path to cache directory

--cleanDestinationDir[=false]
    remove files from destination not found in static directories

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-c, --contentDir=""
    filesystem path to content directory

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

--disableKinds=[]
    disable different kind of pages (home, RSS etc.)

--enableGitInfo[=false]
    add Git revision, date, author, and CODEOWNERS info to the pages

-e, --environment=""
    build environment

--forceSyncStatic[=false]
    copy all files when static is changed.

--gc[=false]
    enable to run some cleanup tasks (remove unused cache files) after the build

-h, --help[=false]
    help for build

--ignoreCache[=false]
    ignores the cache directory

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

-l, --layoutDir=""
    filesystem path to layout directory

--logLevel=""
    log level (debug|info|warn|error)

--minify[=false]
    minify any supported output format (HTML, XML etc.)

--noBuildLock[=false]
    don't create .hugo_build.lock file

--noChmod[=false]
    don't sync permission mode of files

--noTimes[=false]
    don't sync modification time of files

--panicOnWarning[=false]
    panic on first WARNING log

--poll=""
    set this to a poll interval, e.g --poll 700ms, to use a poll based approach to watch for file system changes

--printI18nWarnings[=false]
    print missing translations

--printMemoryUsage[=false]
    print memory usage to screen at intervals

--printPathWarnings[=false]
    print warnings on duplicate target paths etc.

--printUnusedTemplates[=false]
    print warnings on unused templates.

--quiet[=false]
    build in quiet mode

--renderSegments=[]
    named segments to render (configured in the segments config)

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--templateMetrics[=false]
    display metrics about template executions

--templateMetricsHints[=false]
    calculate some improvement hints when combined with --templateMetrics

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

--themesDir=""
    filesystem path to themes directory

--trace=""
    write trace to file (not useful in general)

-v, --verbose[=false]
    verbose output

-w, --watch[=false]
    watch filesystem for changes and recreate as needed

SEE ALSO

hugo(1)